QGIS Application - Bug report #1546
Action from attribute table does'n substitute %column
2009-02-17 04:58 AM - Horst Diister

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 11606
Description

| define an action like:

firefox http://google.com/search?q=%name

The right mouse click on a table row in the attribute table opens firefox but %name in not substituted through the desired value. The same
action triggered from the Identify Results GUI works fine.

History

#1 - 2009-03-28 03:51 PM - Paolo Cavallini
- Status changed from Open to Closed
- Resolution set to invalid

New table manager does not have this function, so the ticket seems not to apply anymore; please reopen it if appropriate

#2 - 2009-08-22 01:02 AM - Anonymous

Milestone Version 1.0.2 deleted

#3 - 2016-04-05 04:02 AM - Paul Kottas

- Assignee deleted (nobody -)

- Status changed from Closed to Reopened
- Target version set to Version 2.14

- Crashes QGIS or corrupts data set to No
- Pull Request or Patch supplied set to No

This occurs in latest version 2.14.

Steps to reproduce:

1) Create an action of type "Open". In action text insert: [% "MYFIELD" %] (where MYFIELD a field containing the system path to a file you want to open)
2) Test the action with normal action tool (file gets opened - correct).

3) Use the "Open attribute table" of the identify tool, right click on the field, and select the action: it does nothing.

#4 - 2016-05-27 03:10 AM - Nyall Dawson
- Affected QGIS version set to master
http://google.com/search?q=%name

- Status changed from Reopened to Closed

- Resolution changed from invalid to duplicate

Duplicate of #14683
